Subject: Re: BUG: git-svn does not escape literal backslashes in author names.

From: Eric Wong <[email-masked]>
Date: Sat, 17 Nov 2007 12:43:48 -0800

Adrian Wilkins <[email-masked]> wrote:
> Recently converted a large (11,000+ revisions) repository.
> 
> We authenticate against the NT domain controller, so all our revision
> authors are of the form "domain\user". (You can switch off mod_sspi
> reporting the domain part, but I didn't know about this at the time,
> so it continues for historical reasons.)
> 
> git-svn treats the literal backslashes in the author names as escapes.
> This leads to authors like
> 
> domainkevin
> domain\
> ichard
> 
> I know, I should have read the manual and used my "authors" file. Bah.
> 
> I'm sure that part of the revision hash in git includes the author
> name... so I guess I'm looking at another multi-day conversion. :-(

git-filter-branch should be able to take care of it.  If you find
an invocation that's useful to others, it'd be great to post it
on the list as well :)

> Can I suggest that you make the authors file compulsory by default as well?

Not going to happen.  I personally _hate_ having to track down author
information and make an authors file, and I suspect many others feel the
same.  I've never used this feature in git-svn on any real repository.

-- 
Eric Wong